Page MenuHomePhabricator

Cannot edit a hidden collection
Closed, ResolvedPublic

Description

Any edit to it results in a permissioning error.
When editing a hidden collection, we should not try to set the privacy to avoid the permissioning error, it should however be possible to update the title and description.

Event Timeline

Jdlrobson created this task.May 5 2015, 6:48 AM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to In Analysis on the Gather Sprint Greatest Hits board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2015, 6:48 AM
Jdlrobson updated the task description. (Show Details)May 6 2015, 9:35 AM
Jdlrobson set Security to None.
Jdlrobson added a project: Gather.
Jdlrobson moved this task from In Analysis to Ready for dev on the Gather Sprint Greatest Hits board.
Jdlrobson moved this task from Needs triage to In sprint on the Gather board.May 6 2015, 9:41 AM

Change 209643 had a related patch set uploaded (by Jdlrobson):
Allow editing of title/description of hidden collections

https://gerrit.wikimedia.org/r/209643

Change 209643 merged by jenkins-bot:
Allow editing of title/description of hidden collections

https://gerrit.wikimedia.org/r/209643

JKatzWMF closed this task as Resolved.May 11 2015, 7:12 PM
JKatzWMF moved this task from Ready for signoff to Done on the Gather Sprint Greatest Hits board.